"""
Costruisce un dizionario avente per chiavi le parole contenute nel testo e
per valori la loro frequenza.
Usa side-effect, modificando l'oggetto d passato come parametro
"""
def costruisciDizionario(d, nomeFile):
    f = open(nomeFile, "r")
    for line in f:
        line = line.strip() #Eliminiamo blank all'inizio e alla fine
        l = line.split() #Otteniamo la lista di parole contenute nella riga
        #le parole in l potrebbero ancora contenere caratteri indesiderati
        for parola in l:
            parola = parola.strip("\n\b\t,.;:-_'<>«»!?")
            if (parola in d):
                d[parola] += 1
            else:
                if parola != "":
                    d[parola] = 1
    f.close()
    

"""
Salva un elenco di tuple del tipo (<parola>, <valore>) in un file in formato CSV.
<parola> e' una stringa, mentre <valore> e' un intero
"""
def salvaCSV(elenco, out):
    f = open(out, "w")
    for t in elenco:
        f.write(t[0] + "," + str(t[1]) + "\n")
    f.close()
