"""
Creiamo un dizionario e lo scorriamo
Ogni coppia rappresenta il cognome e l'eta' di una persona
"""

#Ora stampiamo le coppie <chiave, valore> contenute nel dizionario
d = {"Corsini": 18, "Rossi": 20, "Bianchi": 25}
print("Stampa il contenuto del dizionario:")
for key in d:
    print("Cognome: ", key + "; " "Eta': ", d[key])
print()

#Stampiamo nuovamente le coppie <chiave, valore>, ma ordinate per chiave
print("Stampa il contenuto del dizionario ordinato per chiave:")
for key in sorted(d):
    print("Cognome: ", key + "; " "Eta': ", d[key])
print()

#Ora costruiamo e stampiamo la lista delle coppie (chiave, valore)
print("Genera e stampa lista delle coppie (chiave, valore):")
l = []
for item in d.items():
    l.append(item)
#Nota: al posto del ciclo for si puo' usare l'istruzione l = list(d.items())
print(l)
print()

#Ora costruiamo e stampiamo la lista dei valori presenti nel dizionario
#Nota: sono possibili ripetizioni
print("Genera e stampa lista dei valori presenti nel dizionario:")
l = []
for val in d.values():
    l.append(val)
print(l)
print()

#Infine costruiamo e stampiamo la lissta delle chiavi presenti nel dizionario
#Nota: usiamo il metodo keys() invece del ciclo for
print("Genera e stampa lista delle chiavi presenti nel dizionario:")
l = list(d.keys())
print(l)


